/*
	AEFlame - After Effects version of flame
	Original version of flame by Scott Draves <spot@cs.cmu.edu>
	After Effects version by Andrew B. Davidson <aeflame@mindspring.com> 
    flame Copyright (C) 1992 Scott Draves.  
    AEFlame Copyright (C) 1999 Andrew B. Davidson.  

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	MODIFICATIONS:  This file was modified slightly from the original version by
	Andrew B. Davidson July 1999.  Changes are marked with ABD and are usually
	accompanied by an explanation.
*/


#ifndef cmap_included
#define cmap_included

#include "AE_Effect.h"
#include "AE_EffectCB.h"
#include "AEFlame.h"

#define cmap_random (-1)

int NumCMaps();// ABD

#define vlen(x) (sizeof(x)/sizeof(*x))

typedef double clrmap[256][3];

extern void rgb2hsv(double *rgb, double *hsv);
extern void hsv2rgb(double *hsv, double *rgb);
extern int get_cmap(PF_ParamDef *params[], int n, clrmap c, int cmap_len);

extern char cmapNames[][256];	// ABD

#define COLOR_NAME_POPUP "South Sea Bather|" \
"Sky Flesh|" \
"Blue Bather|" \
"No Name 1|" \
"Pillows|" \
"Mauve Splat|" \
"Facial Treescape 6|" \
"Fasion Bug|" \
"Leafy Face|" \
"Mouldy Sun|" \
"Sunny Harvest|" \
"Peach Tree|" \
"Fire Dragon|" \
"Ice Dragon|" \
"German Landscape|" \
"No Name 2|" \
"Living Mud Bomb|" \
"Cars|" \
"Unhealthy Tan|" \
"Daffodil|" \
"Rose|" \
"Healthy Skin|" \
"Orange|" \
"White Ivy|" \
"Summer Makeup|" \
"Glow Buzz|" \
"Deep Water|" \
"Afternoon Beach|" \
"Dim Beach|" \
"Cloudy Brick|" \
"Burning Wood|" \
"Aquatic Garden|" \
"No Name 3|" \
"Fall Quilt|" \
"Night Blue Sky|" \
"Shadow Iris|" \
"Solid Sky|" \
"Misty Field|" \
"Wooden Highlight|" \
"Jet Tundra|" \
"Pastel Lime|" \
"Hell|" \
"Indian Coast|" \
"Dentist Decor|" \
"Greenland|" \
"Purple Dress|" \
"No Name 4|" \
"Spring Flora|" \
"Andi|" \
"Gig O835|" \
"Rie 02|" \
"Rie 05|" \
"Rie11|" \
"Etretat|" \
"The Hollow Needle At Etretat|" \
"Rouen Cathedral Sunset|" \
"The Houses Of Parliament|" \
"Starry Night|" \
"Water Lilies Sunset|" \
"Gogh Chambre Arles|" \
"Gogh Entrance|" \
"Gogh The Night Cafe|" \
"Gogh Vegetable Montmartre|" \
"Matisse Bonheur Vivre|" \
"Matisse Flowers|" \
"Matisse Lecon Musique|" \
"Modigliani Nude Caryatid|" \
"Braque Instruments|" \
"Calcoast 09|" \
"Dodge 102|" \
"Ernst Anti Pope|" \
"Ernst Ubu Imperator|" \
"Fighting Forms|" \
"Fog 25|" \
"Geyser 27|" \
"Gris Josette|" \
"Gris Landscape Ceret|" \
"Kandinsky Comp 9|" \
"Kandinsky Yellow Red Blue|" \
"Klee Insula Dulcamara|" \
"Nile|" \
"Picasso Jfille Chevre|" \
"Pollock Lavender Mist|" \
"Yngpaint" 



#endif
